aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/newssync
diff options
context:
space:
mode:
Diffstat (limited to 'dotfiles/.local/bin/newssync')
-rwxr-xr-xdotfiles/.local/bin/newssync3
1 files changed, 3 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/newssync b/dotfiles/.local/bin/newssync
index 607188d..ebe41e1 100755
--- a/dotfiles/.local/bin/newssync
+++ b/dotfiles/.local/bin/newssync
@@ -1,5 +1,8 @@
#!/bin/sh
+# Run only if user logged in (prevent cron errors)
+w | grep "^$USER\W" >/dev/null || exit
+
# Don't try to update feed if newsboat is already running
if pidof newsboat; then
exit